package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.system.RoleParam;
import api.common.pojo.po.system.RoleMenuPO;
import api.common.pojo.po.system.RolePO;
import api.common.pojo.vo.system.RoleVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface RoleMapper {

    List<RoleVO> getRolePageList(RoleParam pageParam);

    void insert(RolePO po);

    void update(RolePO po);

    int delRoleById(RolePO rolePO);

    void delRoleMenus(RoleMenuPO roleMenu);

    void insertRoleMenus(List<RoleMenuPO> list);
}
